PDA

View Full Version : 6.5 error in Freebsd - autosplit.ix - can't locate



Thomas J. Angstman
2006-03-15, 06:20
I don't know if this is actually a bug or not. The server appears to function normally when started, but I get the following feedback when i issue the command to start the server. I am just starting to test 6.5 in freebsd, but if there is a way to fix this, please post.


Can't locate auto/Compress/Zlib/autosplit.ix in @INC (@INC contains: /usr/local/slimserver/CPAN/arch/5.8.7/i386-freebsd-64int /usr/local/slimserver/CPAN/arch/5.8.7/i386-freebsd-64int/auto /usr/local/slimserver/CPAN/arch/5.8/i386-freebsd-64int /usr/local/slimserver/CPAN/arch/5.8/i386-freebsd-64int/auto /usr/local/slimserver/CPAN/arch/i386-freebsd-64int /usr/local/slimserver/lib /usr/local/slimserver/CPAN /usr/local/slimserver /usr/local/lib/perl5/5.8.7/BSDPAN /usr/local/lib/perl5/site_perl/5.8.7/mach /usr/local/lib/perl5/site_perl/5.8.7 /usr/local/lib/perl5/site_perl/5.8.6 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.8.7/mach /usr/local/lib/perl5/5.8.7 .) at /usr/local/lib/perl5/5.8.7/AutoLoader.pm line 160.
at /usr/local/slimserver/CPAN/Compress/Zlib.pm line 15

orbadelic
2006-03-15, 10:48
dare I say it but I would suggest building the perl modules it needs with build-perl-modules.pl in the bin directory of where you extracted slimserver. I have had countless problems on freebsd and openbsd that only are solved when I use the exact version numbers that are specified within build-perl-modules.pl. It seems like it shouldn't be so, but its really not worth the time.

Thomas J. Angstman
2006-03-16, 14:20
Not sure what fixed it, but I don't see the problem anymore after I
reboot? Hadn't done that in over a month, so I figured it was time.

tj

-----Original Message-----
From: discuss-bounces (AT) lists (DOT) slimdevices.com
[mailto:discuss-bounces (AT) lists (DOT) slimdevices.com] On Behalf Of orbadelic
Sent: Wednesday, March 15, 2006 11:01 AM
Subject: [slim] Re: 6.5 error in Freebsd - autosplit.ix - can't locate


dare I say it but I would suggest building the perl modules it needs
with build-perl-modules.pl in the bin directory of where you extracted
slimserver. I have had countless problems on freebsd and openbsd that
only are solved when I use the exact version numbers that are specified
within build-perl-modules.pl. It seems like it shouldn't be so, but its
really not worth the time.


--
orbadelic
------------------------------------------------------------------------
orbadelic's Profile:
http://forums.slimdevices.com/member.php?userid=3852
View this thread: http://forums.slimdevices.com/showthread.php?t=22126